haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.GI.GIR.Allocation

Description

Information on explicit allocation/deallocation for foreign pointers.

Synopsis

- data AllocationInfo = AllocationInfo {
  - allocCalloc :: AllocationOp
  - allocCopy :: AllocationOp
  - allocFree :: AllocationOp
  }
- data AllocationOp
  - = AllocationOpUnknown
  - | AllocationOp Text
- unknownAllocationInfo :: AllocationInfo

# Documentation

data AllocationInfo Source #

Allocation/deallocation information for a given foreign pointer.

Constructors

AllocationInfo |

Fields

- allocCalloc :: AllocationOp
- allocCopy :: AllocationOp
- allocFree :: AllocationOp

#### Instances

Instances details

Show AllocationInfo Source # |
Instance details Defined in Data.GI.GIR.Allocation Methods showsPrec :: Int -> AllocationInfo -> ShowS Source # show :: AllocationInfo -> String Source # showList :: [AllocationInfo] -> ShowS Source #

data AllocationOp Source #

Information about a given allocation operation. It is either disallowed, allowed via the given function, or it is unknown at the current stage how to perform the operation.

Constructors

AllocationOpUnknown |
AllocationOp Text |

#### Instances

Instances details

Show AllocationOp Source # |
Instance details Defined in Data.GI.GIR.Allocation Methods showsPrec :: Int -> AllocationOp -> ShowS Source # show :: AllocationOp -> String Source # showList :: [AllocationOp] -> ShowS Source #
Eq AllocationOp Source # |
Instance details Defined in Data.GI.GIR.Allocation Methods (==) :: AllocationOp -> AllocationOp -> Bool Source # (/=) :: AllocationOp -> AllocationOp -> Bool Source #

unknownAllocationInfo :: AllocationInfo Source #

A convenience function, filling in all the allocation info to unknown.